- [REST Resource: v2.projects.locations.instances](https://docs.cloud.google.com/run/docs/reference/rest#v2.projects.locations.instances)
- [REST Resource: v2.projects.locations.jobs](https://docs.cloud.google.com/run/docs/reference/rest#v2.projects.locations.jobs)
- [REST Resource: v2.projects.locations.jobs.executions](https://docs.cloud.google.com/run/docs/reference/rest#v2.projects.locations.jobs.executions)
- [REST Resource: v2.projects.locations.jobs.executions.tasks](https://docs.cloud.google.com/run/docs/reference/rest#v2.projects.locations.jobs.executions.tasks)
- [REST Resource: v2.projects.locations.operations](https://docs.cloud.google.com/run/docs/reference/rest#v2.projects.locations.operations)
- [REST Resource: v2.projects.locations.services](https://docs.cloud.google.com/run/docs/reference/rest#v2.projects.locations.services)
- [REST Resource: v2.projects.locations.services.revisions](https://docs.cloud.google.com/run/docs/reference/rest#v2.projects.locations.services.revisions)
- [REST Resource: v2.projects.locations.sourceUploads](https://docs.cloud.google.com/run/docs/reference/rest#v2.projects.locations.sourceUploads)
- [REST Resource: v2.projects.locations.workerPools](https://docs.cloud.google.com/run/docs/reference/rest#v2.projects.locations.workerPools)
- [REST Resource: v2.projects.locations.workerPools.revisions](https://docs.cloud.google.com/run/docs/reference/rest#v2.projects.locations.workerPools.revisions)
- [REST Resource: v1.namespaces.authorizeddomains](https://docs.cloud.google.com/run/docs/reference/rest#v1.namespaces.authorizeddomains)
- [REST Resource: v1.namespaces.configurations](https://docs.cloud.google.com/run/docs/reference/rest#v1.namespaces.configurations)
- [REST Resource: v1.namespaces.domainmappings](https://docs.cloud.google.com/run/docs/reference/rest#v1.namespaces.domainmappings)
- [REST Resource: v1.namespaces.executions](https://docs.cloud.google.com/run/docs/reference/rest#v1.namespaces.executions)
- [REST Resource: v1.namespaces.instances](https://docs.cloud.google.com/run/docs/reference/rest#v1.namespaces.instances)
- [REST Resource: v1.namespaces.jobs](https://docs.cloud.google.com/run/docs/reference/rest#v1.namespaces.jobs)
- [REST Resource: v1.namespaces.revisions](https://docs.cloud.google.com/run/docs/reference/rest#v1.namespaces.revisions)
- [REST Resource: v1.namespaces.routes](https://docs.cloud.google.com/run/docs/reference/rest#v1.namespaces.routes)
- [REST Resource: v1.namespaces.services](https://docs.cloud.google.com/run/docs/reference/rest#v1.namespaces.services)
- [REST Resource: v1.namespaces.tasks](https://docs.cloud.google.com/run/docs/reference/rest#v1.namespaces.tasks)
- [REST Resource: v1.namespaces.workerpools](https://docs.cloud.google.com/run/docs/reference/rest#v1.namespaces.workerpools)
- [REST Resource: v1.projects.locations](https://docs.cloud.google.com/run/docs/reference/rest#v1.projects.locations)
- [REST Resource: v1.projects.locations.instances](https://docs.cloud.google.com/run/docs/reference/rest#v1.projects.locations.instances)
- [REST Resource: v1.projects.locations.jobs](https://docs.cloud.google.com/run/docs/reference/rest#v1.projects.locations.jobs)
- [REST Resource: v1.projects.locations.services](https://docs.cloud.google.com/run/docs/reference/rest#v1.projects.locations.services)
- [REST Resource: v1.projects.locations.workerpools](https://docs.cloud.google.com/run/docs/reference/rest#v1.projects.locations.workerpools)

## Service: run.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery documents:

- <https://run.googleapis.com/$discovery/rest?version=v2>
- <https://run.googleapis.com/$discovery/rest?version=v1>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

#### Global endpoint

`https://run.googleapis.com`

- For v2:
  - This is the preferred endpoint for all methods.
  - Global list (e.g. using "-" as region) is not supported.
  - Locational endpoints are also supported.
- For v1, this endpoint only supports Global List: use locational endpoints instead.

#### Locational endpoints

For v2, locational endpoints are supported, and region must match the location in the method path.   
For v1, locational endpoints are required.

## REST Resource: [v2.projects.locations.instances](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.instances)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.instances/create` | `POST /v2/{parent}/instances` Creates an Instance. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.instances/delete` | `DELETE /v2/{name}` Deletes an Instance |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.instances/get` | `GET /v2/{name}` Gets an Instance |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.instances/getIamPolicy` | `GET /v2/{resource}:getIamPolicy` Gets the IAM Access Control policy currently in effect for the given Instance. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.instances/list` | `GET /v2/{parent}/instances` Lists Instances. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.instances/patch` | `PATCH /v2/{instance.name}` Updates an Instance. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.instances/setIamPolicy` | `POST /v2/{resource}:setIamPolicy` Sets the IAM Access control policy for the specified Instance. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.instances/start` | `POST /v2/{name}:start` Starts an Instance. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.instances/stop` | `POST /v2/{name}:stop` Stops an Instance. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.instances/testIamPermissions` | `POST /v2/{resource}:testIamPermissions` Returns permissions that a caller has on the specified Project. |

## REST Resource: [v2.projects.locations.jobs](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/create` | `POST /v2/{parent}/jobs` Creates a Job. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/delete` | `DELETE /v2/{name}` Deletes a Job. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/get` | `GET /v2/{name}` Gets information about a Job. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/getIamPolicy` | `GET /v2/{resource}:getIamPolicy` Gets the IAM Access Control policy currently in effect for the given Job. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/list` | `GET /v2/{parent}/jobs` Lists Jobs. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/patch` | `PATCH /v2/{job.name}` Updates a Job. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/run` | `POST /v2/{name}:run` Triggers creation of a new Execution of this Job. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/setIamPolicy` | `POST /v2/{resource}:setIamPolicy` Sets the IAM Access control policy for the specified Job. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs/testIamPermissions` | `POST /v2/{resource}:testIamPermissions` Returns permissions that a caller has on the specified Project. |

## REST Resource: [v2.projects.locations.jobs.executions](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs.executions)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs.executions/cancel` | `POST /v2/{name}:cancel` Cancels an Execution. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs.executions/delete` | `DELETE /v2/{name}` Deletes an Execution. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs.executions/get` | `GET /v2/{name}` Gets information about an Execution. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs.executions/list` | `GET /v2/{parent}/executions` Lists Executions from a Job. |

## REST Resource: [v2.projects.locations.jobs.executions.tasks](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs.executions.tasks)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs.executions.tasks/get` | `GET /v2/{name}` Gets information about a Task. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.jobs.executions.tasks/list` | `GET /v2/{parent}/tasks` Lists Tasks from an Execution of a Job. |

## REST Resource: [v2.projects.locations.operations](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.operations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.operations/delete` | `DELETE /v2/{name}` Deletes a long-running operation. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.operations/get` | `GET /v2/{name}` Gets the latest state of a long-running operation. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.operations/list` | `GET /v2/{name}/operations` Lists operations that match the specified filter in the request. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.operations/wait` | `POST /v2/{name}:wait` Waits until the specified long-running operation is done or reaches at most a specified timeout, returning the latest state. |

## REST Resource: [v2.projects.locations.services](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/create` | `POST /v2/{parent}/services` Creates a new Service in a given project and location. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/delete` | `DELETE /v2/{name}` Deletes a Service. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/get` | `GET /v2/{name}` Gets information about a Service. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/getIamPolicy` | `GET /v2/{resource}:getIamPolicy` Gets the IAM Access Control policy currently in effect for the given Cloud Run Service. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/list` | `GET /v2/{parent}/services` Lists Services. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/patch` | `PATCH /v2/{service.name}` Updates a Service. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/setIamPolicy` | `POST /v2/{resource}:setIamPolicy` Sets the IAM Access control policy for the specified Service. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services/testIamPermissions` | `POST /v2/{resource}:testIamPermissions` Returns permissions that a caller has on the specified Project. |

## REST Resource: [v2.projects.locations.services.revisions](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/delete` | `DELETE /v2/{name}` Deletes a Revision. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/get` | `GET /v2/{name}` Gets information about a Revision. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.services.revisions/list` | `GET /v2/{parent}/revisions` Lists Revisions from a given Service, or from a given location. |

## REST Resource: [v2.projects.locations.sourceUploads](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.sourceUploads)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.sourceUploads/upload` | `POST /v2/{parent}:uploadSource` `POST /upload/v2/{parent}:uploadSource` Uploads a source archive to a Google Cloud Storage bucket through Cloud Run. |

## REST Resource: [v2.projects.locations.workerPools](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.workerPools)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.workerPools/create` | `POST /v2/{parent}/workerPools` Creates a new WorkerPool in a given project and location. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.workerPools/delete` | `DELETE /v2/{name}` Deletes a WorkerPool. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.workerPools/get` | `GET /v2/{name}` Gets information about a WorkerPool. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.workerPools/getIamPolicy` | `GET /v2/{resource}:getIamPolicy` Gets the IAM Access Control policy currently in effect for the given Cloud Run WorkerPool. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.workerPools/list` | `GET /v2/{parent}/workerPools` Lists WorkerPools. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.workerPools/patch` | `PATCH /v2/{workerPool.name}` Updates a WorkerPool. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.workerPools/setIamPolicy` | `POST /v2/{resource}:setIamPolicy` Sets the IAM Access control policy for the specified WorkerPool. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.workerPools/testIamPermissions` | `POST /v2/{resource}:testIamPermissions` Returns permissions that a caller has on the specified Project. |

## REST Resource: [v2.projects.locations.workerPools.revisions](https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.workerPools.revisions)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.workerPools.revisions/delete` | `DELETE /v2/{name}` Deletes a Revision. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.workerPools.revisions/get` | `GET /v2/{name}` Gets information about a Revision. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v2/projects.locations.workerPools.revisions/list` | `GET /v2/{parent}/revisions` Lists Revisions from a given Service, or from a given location. |

## REST Resource: [v1.namespaces.authorizeddomains](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.authorizeddomains)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.authorizeddomains/list` | `GET /apis/domains.cloudrun.com/v1/{parent}/authorizeddomains` List authorized domains. |

## REST Resource: [v1.namespaces.configurations](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.configurations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.configurations/get` | `GET /apis/serving.knative.dev/v1/{name}` Get information about a configuration. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.configurations/list` | `GET /apis/serving.knative.dev/v1/{parent}/configurations` List configurations. |

## REST Resource: [v1.namespaces.domainmappings](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.domainmappings)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.domainmappings/create` | `POST /apis/domains.cloudrun.com/v1/{parent}/domainmappings` Create a new domain mapping. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.domainmappings/delete` | `DELETE /apis/domains.cloudrun.com/v1/{name}` Delete a domain mapping. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.domainmappings/get` | `GET /apis/domains.cloudrun.com/v1/{name}` Get information about a domain mapping. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.domainmappings/list` | `GET /apis/domains.cloudrun.com/v1/{parent}/domainmappings` List all domain mappings. |

## REST Resource: [v1.namespaces.executions](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.executions)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.executions/cancel` | `POST /apis/run.googleapis.com/v1/{name}:cancel` Cancel an execution. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.executions/delete` | `DELETE /apis/run.googleapis.com/v1/{name}` Delete an execution. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.executions/get` | `GET /apis/run.googleapis.com/v1/{name}` Get information about an execution. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.executions/list` | `GET /apis/run.googleapis.com/v1/{parent}/executions` List executions. |

## REST Resource: [v1.namespaces.instances](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.instances)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.instances/create` | `POST /apis/run.googleapis.com/v1/{parent}/instances` Create an Instance. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.instances/delete` | `DELETE /apis/run.googleapis.com/v1/{name}` Delete an Instance. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.instances/get` | `GET /apis/run.googleapis.com/v1/{name}` Get an Instance. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.instances/list` | `GET /apis/run.googleapis.com/v1/{parent}/instances` List Instances. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.instances/replaceInstance` | `PUT /apis/run.googleapis.com/v1/{name}` Replace an Instance. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.instances/start` | `POST /apis/run.googleapis.com/v1/{name}:start` Start an Instance which has been stopped. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.instances/stop` | `POST /apis/run.googleapis.com/v1/{name}:stop` Stop an Instance that is running. |

## REST Resource: [v1.namespaces.jobs](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/create` | `POST /apis/run.googleapis.com/v1/{parent}/jobs` Create a job. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/delete` | `DELETE /apis/run.googleapis.com/v1/{name}` Delete a job. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/get` | `GET /apis/run.googleapis.com/v1/{name}` Get information about a job. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/list` | `GET /apis/run.googleapis.com/v1/{parent}/jobs` List jobs. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/replaceJob` | `PUT /apis/run.googleapis.com/v1/{name}` Replace a job. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.jobs/run` | `POST /apis/run.googleapis.com/v1/{name}:run` Trigger creation of a new execution of this job. |

## REST Resource: [v1.namespaces.revisions](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.revisions)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.revisions/delete` | `DELETE /apis/serving.knative.dev/v1/{name}` Delete a revision. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.revisions/get` | `GET /apis/serving.knative.dev/v1/{name}` Get information about a revision. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.revisions/list` | `GET /apis/serving.knative.dev/v1/{parent}/revisions` List revisions. |

## REST Resource: [v1.namespaces.routes](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.routes)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.routes/get` | `GET /apis/serving.knative.dev/v1/{name}` Get information about a route. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.routes/list` | `GET /apis/serving.knative.dev/v1/{parent}/routes` List routes. |

## REST Resource: [v1.namespaces.services](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.services)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.services/create` | `POST /apis/serving.knative.dev/v1/{parent}/services` Creates a new Service. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.services/delete` | `DELETE /apis/serving.knative.dev/v1/{name}` Deletes the provided service. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.services/get` | `GET /apis/serving.knative.dev/v1/{name}` Gets information about a service. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.services/list` | `GET /apis/serving.knative.dev/v1/{parent}/services` Lists services for the given project and region. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.services/replaceService` | `PUT /apis/serving.knative.dev/v1/{name}` Replaces a service. |

## REST Resource: [v1.namespaces.tasks](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.tasks)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.tasks/get` | `GET /apis/run.googleapis.com/v1/{name}` Get information about a task. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.tasks/list` | `GET /apis/run.googleapis.com/v1/{parent}/tasks` List tasks. |

## REST Resource: [v1.namespaces.workerpools](https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.workerpools)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.workerpools/create` | `POST /apis/run.googleapis.com/v1/{parent}/workerpools` Creates a new WorkerPool. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.workerpools/delete` | `DELETE /apis/run.googleapis.com/v1/{name}` Deletes the provided worker pool. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.workerpools/get` | `GET /apis/run.googleapis.com/v1/{name}` Gets information about a worker pool. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.workerpools/list` | `GET /apis/run.googleapis.com/v1/{parent}/workerpools` Lists worker pools for the given project and region. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/namespaces.workerpools/replaceWorkerPool` | `PUT /apis/run.googleapis.com/v1/{name}` Replaces a worker pool. |

## REST Resource: [v1.projects.locations](https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations/list` | `GET /v1/{name}/locations` Lists information about the supported locations for this service. |

## REST Resource: [v1.projects.locations.instances](https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.instances)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.instances/getIamPolicy` | `GET /v1/{resource}:getIamPolicy` Gets the IAM Access Control policy currently in effect for the given instance. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.instances/setIamPolicy` | `POST /v1/{resource}:setIamPolicy` Sets the IAM Access control policy for the specified instance. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.instances/testIamPermissions` | `POST /v1/{resource}:testIamPermissions` Returns permissions that a caller has on the specified instance. |

## REST Resource: [v1.projects.locations.jobs](https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.jobs)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.jobs/getIamPolicy` | `GET /v1/{resource}:getIamPolicy` Get the IAM Access Control policy currently in effect for the given job. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.jobs/setIamPolicy` | `POST /v1/{resource}:setIamPolicy` Sets the IAM Access control policy for the specified job. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.jobs/testIamPermissions` | `POST /v1/{resource}:testIamPermissions` Returns permissions that a caller has on the specified job. |

## REST Resource: [v1.projects.locations.services](https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.services)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.services/getIamPolicy` | `GET /v1/{resource}:getIamPolicy` Gets the IAM Access Control policy currently in effect for the given Cloud Run service. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.services/setIamPolicy` | `POST /v1/{resource}:setIamPolicy` Sets the IAM Access control policy for the specified Service. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.services/testIamPermissions` | `POST /v1/{resource}:testIamPermissions` Returns permissions that a caller has on the specified Project. |

## REST Resource: [v1.projects.locations.workerpools](https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.workerpools)

| Methods ||
|---|---|
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.workerpools/getIamPolicy` | `GET /v1/{resource}:getIamPolicy` Get the IAM Access Control policy currently in effect for the given worker pool. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.workerpools/setIamPolicy` | `POST /v1/{resource}:setIamPolicy` Sets the IAM Access control policy for the specified worker pool. |
| `https://docs.cloud.google.com/run/docs/reference/rest/v1/projects.locations.workerpools/testIamPermissions` | `POST /v1/{resource}:testIamPermissions` Returns permissions that a caller has on the specified worker pool. |